package com.seer.teach.netty.im.handler.mq.impl.userinfo;

import com.seer.teach.common.dto.mq.im.MqUserInfoDTO;
import com.seer.teach.common.enums.MessagePushStatusEnums;
import com.seer.teach.common.enums.im.UserInfoTopiTagEnum;
import com.seer.teach.netty.common.proto.MessageType;
import com.seer.teach.netty.im.handler.mq.ImUserInfoHandler;
import com.seer.teach.netty.im.utils.ImUtils;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

/**
 * 处理激活成功指令
 * <p>
 * 处理激活成功指令
 * </p>
 *
 * @author Captain
 * @version 1.0
 * @since 2025-07-17 10:40
 */
@Slf4j
@Component
public class UpdateChildrenInfoHandler implements ImUserInfoHandler<MqUserInfoDTO> {
    @Override
    public void handle(MqUserInfoDTO messageBody,String device) {
        ImUtils.pushSingleChatToDeviceWithAck(device, MessagePushStatusEnums.SUCCESS.getCode(), MessageType.MessageContentType.UPDATE_CHILDREN_INFO.getMsgContentType(), messageBody);
    }

    @Override
    public Class<MqUserInfoDTO> getType() {
        return MqUserInfoDTO.class;
    }

    @Override
    public String getTag() {
        return UserInfoTopiTagEnum.UPDATE_CHILDREN_INFO.getTag();
    }
}
